{% extends '../base.html'%}
{% block main %}

{% load static %}
<div class="container sell-container position-relative">
    {% include "../components/quick_access.html" %}
    <!-- todo -->
    <style>
      #price-input,
      #problem-input,
      #refused-reasion {
        max-height: 0px;
        transition: max-height 0.5s ease-out;
        overflow: hidden;
      }
      #price-input.active {
        max-height: 200px;
        transition: max-height 0.5s ease-out;
      }
      #refused-reasion.active {
        max-height: 200px;
        transition: max-height 0.5s ease-out;
      }
      #problem-input.active {
        max-height: 200px;
        transition: max-height 0.5s ease-out;
      }
    </style>

  <div class="my-repair-title">
    <p class="text-center fs-1 fw-bold my-4">Demande de reprise d'un drone</p>
    {% include "./alerts.html" %}

    <section class="table-info">
      <section id="gernal-info" class="active w-100 d-flex flex-column justify-content-start align-content-center border rounded px-3 py-3 mb-2">

        <div onclick="handleRepairSection(this)" class="cursor-pointer d-flex justify-content-between px-5 align-content-center align-items-center py-1 border-bottom">
          <span class="text-center fw-bold one-ligne-text">Informations générals</span>
          <img
            src="{% static 'assets/icons/arrow.png' %}"
            style="height: 2rem; width: auto; object-fit: contain"
            class="rounded d-block m-0 p-0 revirse"
            alt="icon"
          />
        </div>

        <article>
          <div>
            <span class="fw-bold">N° de demande :</span><br>
            <span class="color-gray">{{ sell.number }}</span><br>
          </div>
          <div>
            <span class="fw-bold">État de drone :</span><br>
            <span class="color-gray">{{ sell.get_stat }}</span><br>
          </div>
          <div>
            <span class="fw-bold">Nom du drone :</span><br>
            <span class="color-gray">{{ sell.title }}</span><br>
          </div>
          <div>
            <span class="fw-bold">Statut actuelle :</span><br>
            <span class="color-gray">{{ sell.get_status }}</span><br>
          </div>
          {% if sell.status == 2 or sell.status == 3 and sell.first_price %}
          <div>
            <span class="fw-bold">Prix proposé :</span><br>
            <span class="color-gray">{{ sell.first_price }} €</span><br>
          </div>
          {% elif sell.status == 4 and sell.tracking_number %}
          <div>
            <span class="fw-bold">Numéro de suivi :</span><br>
            <span class="color-gray"><span class="fake-link" onclick='window.open("https://www.laposte.fr/outils/suivre-vos-envois?code={{ sell.tracking_number }}&at_campaign=suivi_colis&at_format=mail_colis", "_blank");'>{{ sell.tracking_number }}</span></span><br>
          </div>
          {% elif sell.status == 6 and sell.user_iban %}
          <div>
            <span class="fw-bold">IBAN du clinet :</span><br>
            <span class="color-gray">{{ sell.user_iban }}</span><br>
          </div>
          {% endif %}

          {% if request.user.is_superuser %}
          <div>
            <span class="fw-bold">Visibilité  :</span><br>
            <span class="color-gray">{{ sell.get_visibility }}</span><br>
          </div>
          {% endif %}
        </article>
      </section>
      {% if request.user.is_superuser %}
        <section id="action" class="w-100 d-flex flex-column justify-content-start align-content-center border rounded px-3 py-3">
          <div onclick="handleRepairSection(this)" class="cursor-pointer d-flex justify-content-between px-5 align-content-center align-items-center py-1 border-bottom">
            <span class="text-center fw-bold one-ligne-text">Centre d'actions</span>
            <img
              src="{% static 'assets/icons/arrow.png' %}"
              style="height: 2rem; width: auto; object-fit: contain"
              class="rounded d-block m-0 p-0"
              alt="icon"
            />
          </div>
          <article>
            <div>
              <span class="fw-bold">Modifier le statut :</span>
              <form method="POST" class="mt-2">
                <div class="mx-5">
                  {% csrf_token %}
                  <select data-status="{{ sell.status }}" class="form-select form-select mb-2" name="new-status"  id="select-satatus"  aria-label=".form-select-lg example" onchange="handleSellAcion(this)">
                    {% for id, status in sell_status.items %}
                      <option value="{{ id }}">{{ status }}</option>
                    {% endfor %}
                  </select>
                  <div id="price-input">
                    <label for="price" class="form-label">Proposez un prix :</label>
                    <input type="number" class="form-control" id="price" name="first_price" placeholder="Prix de reprise">
                  </div>
                  <div id="problem-input">
                    <label for="price" class="form-label">Expliquer le problème ici :</label>
                    <textarea name="problem" id="problem" class="form-control" cols="3" rows="5"></textarea>
                  </div>
                  <div id="refused-reasion">
                    <label for="price" class="form-label">Décrivez ici pourquoi vous avez réfusé cette demande :</label>
                    <textarea name="refused_reasion" id="refused_reasion" class="form-control" cols="3" rows="5"></textarea>
                  </div>
                </div>
                <div class="w-100 d-flex justify-content-around align-content-center mt-3">
                  <button class="normal-btn rounded px-3 py-2 bg-success text-white text-center">Valider</button>
                  {% if sell.active %}
                  <a href="" class="normal-link rounded px-3 py-2 bg-danger text-white text-center">Archifer</a>
                  {% else %}
                  <a href="" class="normal-link rounded px-3 py-2 bg-danger text-white text-center">Désarchiver</a>
                  {% endif %}
                  <a href="{% url 'delete_sell' sell.number %}" class="normal-link rounded px-3 py-2 bg-danger text-white text-center">Supprimer</a>
                </div>
              </form>
            </div>
          </article>
        </section>
        <script>
          function handleSellAcion(select) {
            const val = select.value;
            const priceInput = document.querySelector('#price-input')
            const pbInput = document.querySelector('#problem-input')
            const refusedReasion = document.querySelector('#refused-reasion')
            if (val == 2 || val == '2') {
              priceInput.classList.add('active')
              pbInput.classList.remove('active')
              refusedReasion.classList.remove('active')
            } else if (val == 7 || val == '7') {
              priceInput.classList.remove('active')
              pbInput.classList.add('active')
              refusedReasion.classList.remove('active')
            } else if(val == 11 || val =="11") {
              priceInput.classList.remove('active')
              pbInput.classList.remove('active')
              refusedReasion.classList.add('active')
            } else {
              priceInput.classList.remove('active')
              pbInput.classList.remove('active')
              refusedReasion.classList.remove('active')
            }
          }
        </script>
      {% endif %}
    </section>
  </div>



  <div class="my-repair-main">
    <div class="my-repair-aside">
      {% for image in sell.images.all %}
        <img class="all-images" src="../../../media/{{ image.url }}"alt="{{ image.url }}"/>
      {% endfor %}
    </div>
    <div class="my-repair-center">
        <img id="main-image" src="../../../media/{{ sell.images.all.0.url }}" alt="{{ sell.images.all.0.url }}"/>
    </div>
  </div>
  <section class="table-info w-100 d-flex flex-column flex-lg-row mt-5 mb-2 gap-xl-5 gap-2">
    <section id="client" class="active w-100 d-flex flex-column justify-content-start align-content-center border rounded px-3 py-3">
      <!-- <div onclick="handleRepairSection(this)"  class="cursor-pointer d-flex justify-content-evenly align-content-center align-items-center align-items-center py-1 border-bottom">
        <h5 class="text-center fw-bold ">{% if sell.user == request.user %}Mes informations personnelles{% else %}Informations personnelles de client{% endif %}</h5>
        <button type="button"class="normal-btn"><i class="fa-sharp fa-solid fa-arrow-up mb-1 fs-4"></i></button>
      </div> -->
      <div onclick="handleRepairSection(this)" class="cursor-pointer d-flex justify-content-between px-5 align-content-center align-items-center py-1 border-bottom">
        <span class="text-center fw-bold one-ligne-text">Informations personnelles</span>
        <img
          src="{% static 'assets/icons/arrow.png' %}"
          style="height: 2rem; width: auto; object-fit: contain"
          class="rounded d-block m-0 p-0"
          alt="icon"
        />
      </div>
      <article>
        <div>
          <span class="fw-bold">Nom :</span><br>
          <span class="color-gray">{{ sell.user.get_last_name }}</span><br>
        </div>
        <div>
          <span class="fw-bold">Prénom :</span><br>
          <span class="color-gray">{{ sell.user.get_first_name }}</span><br>
        </div>
        <div>
          <span class="fw-bold">Email :</span><br>
          <form action="{% url 'new_mail' %}" method="POST" class="mb-1">
            {% csrf_token %}
            <input
              type="hidden"
              name="email"
              value="{{ sell.user.email }}"
            />
            <button type="submit" class="normal-btn fake-link"><i class="fa-solid fa-envelope"></i> {{ sell.user.email }}</button>
          </form>
        </div>
        <div>
          <span class="fw-bold">Téléphone :</span><br>
          <a class="normal-link text-primary" href="tel:{{ sell.user.phone }}"><i class="fa-solid fa-phone"></i> {{ sell.user.phone }}</a>
        </div>
        <div>
          <span class="fw-bold">Adresse :</span><br>
          <span class="color-gray">{{ sell.user.address.get_address }}</span><br>
        </div>
      </article>
    </section>
    <section id="article" class="active w-100 d-flex flex-column justify-content-start align-content-center border rounded px-3 py-3">
      <!-- <div onclick="handleRepairSection(this)" class="cursor-pointer d-flex justify-content-evenly align-content-center align-items-center py-1 border-bottom">
        <h5 class="text-center fw-bold ">Informations de la demande</h5>
        <button type="button" class="normal-btn"> <i class="fa-sharp fa-solid fa-arrow-up mb-1 fs-4"></i> </button>
      </div> -->
      <div onclick="handleRepairSection(this)" class="cursor-pointer d-flex justify-content-between px-5 align-content-center align-items-center py-1 border-bottom">
        <span class="text-center fw-bold one-ligne-text">Informations de la demande</span>
        <img
          src="{% static 'assets/icons/arrow.png' %}"
          style="height: 2rem; width: auto; object-fit: contain"
          class="rounded d-block m-0 p-0"
          alt="icon"
        />
      </div>
      <article>
        <div id="article-name">
          <span class="fw-bold">Nom d'article :</span><br>
          <span class="color-gray">{{ sell.title }}</span><br>
        </div>
        <div id="article-name">
          <span class="fw-bold">La description:</span><br>
          <span class="color-gray">{{ sell.description|linebreaks }}</span>
        </div>
        <div id="article-name">
          <span class="fw-bold">Les accessoires:</span><br>
          <span class="color-gray">{{ sell.accessories|linebreaks }}</span>
        </div>
        <div>
          <span class="fw-bold">État de drone :</span><br>
          <span class="color-gray">{{ sell.get_stat }}</span><br>
        </div>
        <div>
          <span class="fw-bold">Numéro de la demande :</span><br>
          <span class="color-gray">{{ sell.number }}</span><br>
        </div>
        <div>
          <span class="fw-bold">Statut :</span><br>
          <span class="color-gray">{{ sell.get_status }}</span><br>
        </div>
        {% if sell.refused_reasion %}
        <div>
          <span class="fw-bold">Raison du refus :</span><br>
          <span class="color-gray">{{ sell.refused_reasion|linebreaks }}</span>
        </div>
        {% endif %}
        {% if sell.first_price%}
        <div>
          <span class="fw-bold">Prix proposé :</span><br>
          <span class="color-gray">{{ sell.first_price }} €</span><br>
        </div>
        {% endif %}

        {% if sell.tracking_number%}
        <div>
          <span class="fw-bold">Numéro de suivi :</span><br>
          <span class="color-gray">{{ sell.tracking_number }}</span><br>
        </div>
        {% endif %}

        {% if sell.user_iban%}
        <div>
          <span class="fw-bold">IBAN de clinet :</span><br>
          <span class="color-gray">{{ sell.user_iban }}</span><br>
        </div>
        {% endif %}
        <div>
          <span class="fw-bold">Date de la demande :</span><br>
          <span class="color-gray">Le <span class="fw-bold">{{ sell.created_at }}</span>.<br> Il y a <span class="fw-bold">{{ sell.created_at|timesince }}</span></span><br>
        </div>
        <div>
          <span class="fw-bold">Dernière modification :</span><br>
          <span class="color-gray">Le <span class="fw-bold">{{ sell.updated_at }}</span>.<br> Il y a <span class="fw-bold">{{ sell.updated_at|timesince }}</span></span><br>
        </div>


      </article>
    </section>

  </section>
  <script>

  </script>

  <script src="{% static 'assets/js/script.js' %}"></script>
  <script>
    changeImageFocus();
    setRentCurrentStatus()
    handleRentShowInputRefusedReasion()


  </script>
</div>


{% endblock main%}
